﻿using Hotline.FlowEngine.Workflows;
using Hotline.Share.Dtos.FlowEngine;
using MediatR;

namespace Hotline.FlowEngine.Notifies
{
    public class WorkflowNotify : INotification
    {
        public Workflow Workflow { get; set; }
    }

    public class StartWorkflowNotify : WorkflowNotify
    {
        public BasicWorkflowDto Dto { get; set; }
    }

    public class AcceptWorkflowNotify : WorkflowNotify
    {

    }


    public record NextStepNotify(string WorkflowId, BasicWorkflowDto Data) : INotification;
    public record PreviousStepNotify(PreviousWorkflowDto Data) : INotification;

}
